###########################################################################
#
# win32 makefile -- gsinstaller
# A component of the Greenstone digital library software
# from the New Zealand Digital Library Project at the
# University of Waikato, New Zealand.
#
# Copyright (C) 2006 The New Zealand Digital Library Project
#
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
###########################################################################

CC = cl
CPPFLAGS = -GX
DEFS = -DGSDL_NAMESPACE_BROKEN -D__STL_NO_NEW_IOSTREAMS
INCLUDES = -I"C:\mdewsnip\gsdl-cvs.new\packages\windows\stlport\stlport"

COMPILE = $(CC) -nologo -c $(CPPFLAGS) $(DEFS) $(INCLUDES)
LINK = $(CC) -nologo

WINLIBS = advapi32.lib comctl32.lib comdlg32.lib gdi32.lib \
          ole32.lib shell32.lib user32.lib uuid.lib

.SUFFIXES:
.SUFFIXES: .cpp .obj
.cpp.obj:
	$(COMPILE) $< 

SOURCES = \
  bmpUtil.cpp configFile.cpp configurable.cpp copyProgress.cpp dirent.cpp dirSelector.cpp DiskSpace.cpp file.cpp fileCopier.cpp FilePath.cpp gs16bit.cpp gsConfig.cpp gsinstall.cpp gsManifest.cpp gsPlatform.cpp gsProfile.cpp gsProgman.cpp gsRegistry.cpp launchApp.cpp registry.cpp splash.cpp stringArray.cpp unInstall.cpp

GSSETUP_OBJECTS = \
  bmpUtil.obj configFile.obj configurable.obj copyProgress.obj dirent.obj dirSelector.obj DiskSpace.obj file.obj fileCopier.obj FilePath.obj gsConfig.obj gsinstall.obj gsManifest.obj gsPlatform.obj gsProfile.obj gsProgman.obj gsRegistry.obj launchApp.obj registry.obj stringArray.obj unInstall.obj

SETUP_OBJECTS = gs16bit.obj

all: gssetup.exe setup.exe

setup.exe : $(SETUP_OBJECTS)
	if EXIST setup.exe del setup.exe
	$(LINK) -o setup.exe $(SETUP_OBJECTS)

gssetup.exe : $(GSSETUP_OBJECTS)
	if EXIST gssetup.exe del gssetup.exe
	$(LINK) -o gssetup.exe $(GSSETUP_OBJECTS) $(WINLIBS)

clean:
	del *.obj
	del gs16bit.exe
	del gsinstall.exe

install:
